import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [

    {
        path: '/', //登录页
        name: 'Login',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/login')
    },
    {
        path: '/login', //登录页
        name: 'Login',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/login')
    },
    {
        path: '/home', //首页
        name: 'home',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/home')
    },
    {
        path: '/function', //功能、消息页
        name: 'Function',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/function')
    },
    {
        path: '/information', //我的信息页
        name: 'information',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/information')
    },
    {
        path: '/fk', //访客列表页
        name: 'fk',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/fk')
    },
    {
        path: '/amount', //充值页面
        name: 'amount',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/amount')
    },
    {
        path: '/result', //充值结果页面
        name: 'result',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/result')
    },
    // {
    //     path: '/amount',
    //     name: 'amount',
    //     component: () =>
    //         import ( /* webpackChunkName: "about" */ '../views/amount')
    // },

    {
        path: '/balance', //余额页面
        name: 'balance',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/balance')
    }, {
        path: '/recharge', //充值方式
        name: 'recharge',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/recharge')
    }, {
        path: '/record', //交易记录
        name: 'record',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/record')
    }














    // {
    //     path: '/',
    //     name: 'amount',
    //     component: () =>
    //         import ( /* webpackChunkName: "about" */ '../views/amount')
    // },
    // {
    //     path: '/amount',
    //     name: 'amount',
    //     component: () =>
    //         import ( /* webpackChunkName: "about" */ '../views/amount')
    // },

    // {
    //     path: '/balance',
    //     name: 'balance',
    //     component: () =>
    //         import ( /* webpackChunkName: "about" */ '../views/balance')
    // }, {
    //     path: '/recharge',
    //     name: 'recharge',
    //     component: () =>
    //         import ( /* webpackChunkName: "about" */ '../views/recharge')
    // }, {
    //     path: '/record',
    //     name: 'record',
    //     component: () =>
    //         import ( /* webpackChunkName: "about" */ '../views/record')
    // }
]

const router = new VueRouter({
    mode: 'hash',
    base: '/',
    routes
})

export default router